> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roxom.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get orderbook snapshot

> Retrieve the current order book snapshot with bid and ask orders for a specific trading symbol.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/orderbook/snapshot
openapi: 3.0.3
info:
  title: Portico API
  version: 0.1.0
servers:
  - url: https://api.roxom.com
security:
  - ApiKey: []
    ApiSignature: []
paths:
  /v1/orderbook/snapshot:
    get:
      tags:
        - Market
      summary: Get orderbook snapshot
      description: >-
        Retrieve the current order book snapshot with bid and ask orders for a
        specific trading symbol.
      operationId: get_v1-orderbook-snapshot-5345304cdd1364f2b5beeca59098f186
      parameters:
        - name: instType
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/InstrumentType'
        - name: levels
          in: query
          required: false
          schema:
            type: integer
            format: uint32
            minimum: 0
            nullable: true
        - name: symbol
          in: query
          required: true
          schema:
            type: string
        - name: unit
          in: query
          required: false
          schema:
            allOf:
              - $ref: '#/components/schemas/BtcUnits'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_for_OrderbookSnapshot'
      deprecated: false
components:
  schemas:
    InstrumentType:
      type: string
      enum:
        - perpetual
        - spot
        - btc
        - digital
        - stock
        - index
    BtcUnits:
      type: string
      enum:
        - sats
        - btc
    ApiResponse_for_OrderbookSnapshot:
      title: ApiResponse_for_OrderbookSnapshot
      description: Represents a successful API response wrapper
      type: object
      required:
        - data
        - error
      properties:
        data:
          $ref: '#/components/schemas/OrderbookSnapshot'
        error:
          type: boolean
    OrderbookSnapshot:
      type: object
      required:
        - buySellVersus
        - buys
        - instrumentId
        - sells
      properties:
        buySellVersus:
          description: The total buy and sell amounts
          allOf:
            - $ref: '#/components/schemas/BuyVsSells'
        buys:
          description: The list of buy price levels and their quantities
          type: array
          items:
            $ref: '#/components/schemas/PriceLevel'
        instrumentId:
          description: The UUID of the instrument this snapshot is for
          type: string
        sells:
          description: The list of sell price levels and their quantities
          type: array
          items:
            $ref: '#/components/schemas/PriceLevel'
    BuyVsSells:
      type: object
      required:
        - buy
        - sell
      properties:
        buy:
          description: The total buy amount
          type: string
        sell:
          description: The total sell amount
          type: string
    PriceLevel:
      type: object
      required:
        - price
        - size
        - total
      properties:
        price:
          type: string
        size:
          type: string
        total:
          type: string
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key
      description: Your API key
    ApiSignature:
      type: apiKey
      in: header
      name: X-API-Signature
      description: The signature of the request

````